Can't install phpBB

Get help with installation and running phpBB 3.0.x here. Please do not post bug reports, feature requests, or MOD-related questions here.
Scam Warning
Forum rules
END OF SUPPORT: 1 January 2017 (announcement)
Locked
Comkid
Registered User
Posts: 132
Joined: Thu Mar 25, 2010 5:40 am

Can't install phpBB

Post by Comkid » Wed Jul 28, 2010 7:22 am

Hey,

I can't install phpBB on my localhost (port 79, because IIS takes 80 [I'm on Windows 7]), I use EasyPHP5.3.2i ;) Oddly, phpBB3.0.4 (needed for conversion from IPB2) won't load the Requirements page :? Whilst 3.0.7-PL1 won't connect to the DB, even though phpMyAdmin connects fine :?

Error message:

Code: Select all

Could not connect to the database, see error message below.
A connection attempt failed because the connected party did not properly respond after a period of time, or established connection failed because connected host has failed to respond.
What I entered:

DB Type: MySQL with MySQLi Extension
DB Name: phpbb
DB User: root
DB Pass: test
DB Prefix: phpbb_

Comkid
I ist Comkid :P

User avatar
ric323
Former Team Member
Posts: 22909
Joined: Tue Feb 06, 2007 12:33 am
Location: Melbourne, Australia
Name: Ric
Contact:

Re: Can't install phpBB

Post by ric323 » Wed Jul 28, 2010 8:43 am

What do you have for "$dbhost" ?
The Knowledge Base contains solutions to many common problems!
How to fix "Doesn't have a default value" and "Incorrect string value: xxx for column 'post_text' " errors.
How to do a clean re-install of the latest phpBB3 version.
Problems with permissions? Read phpBB3 Permissions

Comkid
Registered User
Posts: 132
Joined: Thu Mar 25, 2010 5:40 am

Re: Can't install phpBB

Post by Comkid » Wed Jul 28, 2010 11:57 am

I had nothing, but when I try with localhost, no difference ;)
I ist Comkid :P

User avatar
ric323
Former Team Member
Posts: 22909
Joined: Tue Feb 06, 2007 12:33 am
Location: Melbourne, Australia
Name: Ric
Contact:

Re: Can't install phpBB

Post by ric323 » Wed Jul 28, 2010 12:06 pm

Try 127.0.0.1
The Knowledge Base contains solutions to many common problems!
How to fix "Doesn't have a default value" and "Incorrect string value: xxx for column 'post_text' " errors.
How to do a clean re-install of the latest phpBB3 version.
Problems with permissions? Read phpBB3 Permissions

Comkid
Registered User
Posts: 132
Joined: Thu Mar 25, 2010 5:40 am

Re: Can't install phpBB

Post by Comkid » Wed Jul 28, 2010 12:12 pm

Thanks it worked ;)

Also, do you know anything about the 3.0.4 problem?
I ist Comkid :P

User avatar
ric323
Former Team Member
Posts: 22909
Joined: Tue Feb 06, 2007 12:33 am
Location: Melbourne, Australia
Name: Ric
Contact:

Re: Can't install phpBB

Post by ric323 » Wed Jul 28, 2010 12:18 pm

Sorry, no.
Why do you need 3.0.4 for the conversion?
The Knowledge Base contains solutions to many common problems!
How to fix "Doesn't have a default value" and "Incorrect string value: xxx for column 'post_text' " errors.
How to do a clean re-install of the latest phpBB3 version.
Problems with permissions? Read phpBB3 Permissions

Comkid
Registered User
Posts: 132
Joined: Thu Mar 25, 2010 5:40 am

Re: Can't install phpBB

Post by Comkid » Thu Jul 29, 2010 6:31 am

Because the IPB converter is for 3.0.4 ;)
I ist Comkid :P

User avatar
D¡cky
Former Team Member
Posts: 11812
Joined: Tue Jan 25, 2005 8:38 pm
Location: New Hampshire, USA
Name: Richard Foote
Contact:

Re: Can't install phpBB

Post by D¡cky » Thu Jul 29, 2010 12:41 pm

You should always use the latest version of phpBB. The convertor was written when phpBB 3.0.4 was the latest version, but it will work on phpBB 3.0.7-PL1.
Have you hugged someone today?

Locked

Return to “[3.0.x] Support Forum”